module command.simpleremotecontrol.garagedooropencommand;

import command.simpleremotecontrol.command;
import command.simpleremotecontrol.garagedoor;

class GarageDoorOpenCommand : Command
{
    GarageDoor garageDoor;

    this(GarageDoor garageDoor)
    {
        this.garageDoor = garageDoor;
    }

    override void execute()
    {
        garageDoor.up();
    }
}
